import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'createType',
  standalone: true
})
export class CreateTypePipe implements PipeTransform {

  transform(createType: number): unknown {
    switch (createType) {
      case 1:
        return '扫一扫';
      case 2:
        return '被扫';
      case 3:
        return 'API';
      default:
        return '未知';
    }
  }

}
